package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

import cn.com.qmth.examcloud.core.questions.dao.entity.PaperDetailStruct;
import cn.com.qmth.examcloud.core.questions.dao.entity.dto.CoursePropertyNumberDto;
import cn.com.qmth.examcloud.core.questions.dao.entity.dto.PaperDetailUnitStructDto;

public class StructQuestionCheckDto {
	private Set<String> usedQuesIds = new HashSet<>();
	private Boolean pub;
	private String difficulty;
	private PaperDetailUnitStructDto us;
	private Integer index;
	private Integer detailNumber;
	private Integer needCount;
	private StructQuestionInfo sqinfo;
	private CoursePropertyNumberDto cp;
	private StructQuestionCountInfo si;
	private List<QuestionDto> questionList;
	private PaperDetailStruct ds;
	private Double unitScore;

	public Integer getDetailNumber() {
		return detailNumber;
	}

	public void setDetailNumber(Integer detailNumber) {
		this.detailNumber = detailNumber;
	}

	public StructQuestionInfo getSqinfo() {
		return sqinfo;
	}

	public void setSqinfo(StructQuestionInfo sqinfo) {
		this.sqinfo = sqinfo;
	}

	public CoursePropertyNumberDto getCp() {
		return cp;
	}

	public void setCp(CoursePropertyNumberDto cp) {
		this.cp = cp;
	}

	public List<QuestionDto> getQuestionList() {
		return questionList;
	}

	public void setQuestionList(List<QuestionDto> questionList) {
		this.questionList = questionList;
	}

	public Integer getNeedCount() {
		return needCount;
	}

	public void setNeedCount(Integer needCount) {
		this.needCount = needCount;
	}

	public Boolean getPub() {
		return pub;
	}

	public void setPub(Boolean pub) {
		this.pub = pub;
	}

	public String getDifficulty() {
		return difficulty;
	}

	public void setDifficulty(String difficulty) {
		this.difficulty = difficulty;
	}

	public StructQuestionCountInfo getSi() {
		return si;
	}

	public void setSi(StructQuestionCountInfo si) {
		this.si = si;
	}

	public Set<String> getUsedQuesIds() {
		return usedQuesIds;
	}

	public void setUsedQuesIds(Set<String> usedQuesIds) {
		this.usedQuesIds = usedQuesIds;
	}

	public PaperDetailUnitStructDto getUs() {
		return us;
	}

	public void setUs(PaperDetailUnitStructDto us) {
		this.us = us;
	}

	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	public PaperDetailStruct getDs() {
		return ds;
	}

	public void setDs(PaperDetailStruct ds) {
		this.ds = ds;
	}

	public Double getUnitScore() {
		return unitScore;
	}

	public void setUnitScore(Double unitScore) {
		this.unitScore = unitScore;
	}

}
